Subject: Re: bug#60061: 30.0.50; Build fails in separate directory for ../configure --without-all --with-mailutils

From: Jean Louis <[email-masked]>
Date: Tue, 20 Dec 2022 20:42:04 +0300

* Eli Zaretskii <[email-masked]> [2022-12-20 20:30]:
> > Date: Tue, 20 Dec 2022 19:03:57 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > On personal machine Parabola GNU/Linux-libre still same issue.
> > 
> > What could be this problem below?
> > 
> >   CCLD     temacs
> > /usr/bin/ld: cannot find dispnew.o: No such file or directory
> > /usr/bin/ld: cannot find frame.o: No such file or directory
> > /usr/bin/ld: cannot find scroll.o: No such file or directory
> 
> Where in the tree are these files?

They are all in `src' and the errors are given to me when I configure
from separate directory.

  /home/data1/protected/Programming/Software/emacs/:
  find . \( -name dispnew.o \) -ls
   55586645   1076 -rw-r--r--   1 admin    input     1099528 Dec 17 08:33 src/dispnew.o

I would like to be able to have main Emacs and stripped Emacs binary
for console that I would use for e-mail writing, without havig to
install it on the system.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/